### Method

# Adw ViewStack add_titled

#### Declaration [src]

    AdwViewStackPage*
    adw_view_stack_add_titled (
      AdwViewStack* self,
      GtkWidget* child,
      const char* name,
      const char* title
    )

#### Description [src]

Adds a child to `self`.

The child is identified by the `name`. The `title` will be used by `AdwViewSwitcher` to represent `child`, so it should be short.

#### Parameters

`child`

  Type: `GtkWidget`

  The widget to add.

  The data is owned by the caller of the method.

`name`

  Type: `const char*`

  The name for `child`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`title`

  Type: `const char*`

  A human-readable title for `child`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AdwViewStackPage`

The `AdwViewStackPage` for `child`.

The data is owned by the instance.